#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0xDF,0x48,0xB7,0xDF,0xCB,0xC6,0x1D,0x35,0xD5,0xEC,0x48,
		0x42,0x01,0xE9,0x55,0x4C,0xEA,0x3B,0x5B,0x72,0xED,0x30,0x14,
		0x27,0x95,0xC9,0x1B,0xA1,0x62,0x61,0x46,0x19,0x6E,0xA9,0x38,
		0x0D,0x03,0xA3,0xEB,0x19,0x0E,0xA8,0x44,0xF4,0xA3,0xC6,0x0F,
		0x19,0x8E,0x77,0x3B,0x3F,0x97,0x94,0xF5,0xB9,0xB2,0x13,0x84,
		0xB2,0xAC,0x95,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
